#22 NJS 4.6.1 crashes after client connection

TBD at some time
closed-fixed
Server (200)
9
2013-12-13
2005-10-24
No

NJS 4.6.1 crashes when a Unicore Client (5.6.1) tries
to contact it.
It seems that a class is missing from njs.jar

18:06:59 21/10 T: Creating action executors
18:06:59 21/10 C: Creating thread pool <ExternalAJOs>
size <3>
18:06:59 21/10 C: Creating thread pool <NJSActions>
size <3>
18:06:59 21/10 C: Creating thread pool <RootAJOs> size <3>
18:06:59 21/10 C: Creating thread pool <Incarnations>
size <3>
18:06:59 21/10 C: Creating thread pool <ActionGroups>
size <3>
18:06:59 21/10 T: Reading resume state
18:06:59 21/10 T: Loading saved AJOs
18:06:59 21/10 C: Reading previous status log from
</opt/grid/unicore/unicore/NJS/var/StatusLogOld>
18:07:00 21/10 I: <Authoriser> AJO consign OK:
Consignor <CN=Simone Lanzarini, OU=cineca.it,
OU=grid.cineca.it, O=Grid, O=Cineca>
18:07:00 21/10 I: <Authoriser> : Endorser
<CN=Simone Lanzarini, OU=cineca.it, OU=grid.cineca.it,
O=Grid, O=Cineca>
18:07:00 21/10 I: <Authoriser> : User
<CN=Simone Lanzarini, OU=cineca.it,
OU=grid.cineca.it, O=Grid, O=Cineca>
18:07:00 21/10 I: <Authoriser> : as
<slanzarini/>
18:07:00 21/10 I: <Authoriser> : roles
<User/User/User>
Exception in thread "main"
java.lang.NoClassDefFoundError:
com/fujitsu/arcon/njs/priest/Os
at
com.fujitsu.arcon.njs.actions.KnownActionImpl.<init>(KnownActionImpl.java:151)
at
com.fujitsu.arcon.njs.actions.NKnownAction.<init>(NKnownAction.java:20)
at
com.fujitsu.arcon.njs.actions.DoActionGroup.<init>(DoActionGroup.java:94)
at
com.fujitsu.arcon.njs.actions.RKnownAction.<init>(RKnownAction.java:57)
at
com.fujitsu.arcon.njs.actions.RootAJOFactory.make(RootAJOFactory.java:36)
at
com.fujitsu.arcon.njs.KnownActionDBImpl.add(KnownActionDBImpl.java:376)
at
com.fujitsu.arcon.njs.utils.MemoryImpl.load(MemoryImpl.java:1137)
at
com.fujitsu.arcon.njs.utils.MemoryImpl.loadAll(MemoryImpl.java:1056)
at com.fujitsu.arcon.njs.NJS.main(NJS.java:346)

Actually if I look into njs.jar, the class
com.fujitsu.arcon.njs.priest.os is missing.
Downgrading to njs 4.6.0 build2 this problem doesn't
happen.

Discussion

  • Sven van den Berghe

    • assigned_to: nobody --> bschuller
     
  • Sven van den Berghe

    Logged In: YES
    user_id=996268

    There were no changes to this code (last change on SF CVS is 15 months
    ago). "Os" is defined is a odd way as part of the OutcomeStore class, so I
    wonder if this is a compilation problem? Or a build glitch?

    What Java version was used to compile the build? and run? (My local build
    does create the Os class)

     
  • Simone Lanzarini

    Logged In: YES
    user_id=1272228

    I'm using the njs.jar downloaded from SF.
    This jar actually misses that class.
    Probably this is a build glitch.

    This is the manifest file content:
    Manifest-Version: 1.0

    Ant-Version: Apache Ant 1.6.3

    Created-By: 1.4.2_08-b03 (Sun Microsystems Inc.)

    Main-Class: com.fujitsu.arcon.gateway.NJS

    Class-Path: ajo.jar

    Name: com/fujitsu/arcon/njs/

    Specification-Title: NJS

    Specification-Version: 4.6.1

    Specification-Vendor: FLE

    Implementation-Title: Arcon Implementation

    Implementation-Version: 1

    Implementation-Vendor: Fujitsu Laboratories of Europe

     
  • Bernd Schuller

    Bernd Schuller - 2005-10-25

    Logged In: YES
    user_id=595454

    It's a build glitch, the Os class was missing. A fixed njs
    build will be available shortly.

     
  • Bernd Schuller

    Bernd Schuller - 2005-10-25
    • priority: 5 --> 9
     
  • Bernd Schuller

    Bernd Schuller - 2005-10-25

    Logged In: YES
    user_id=595454

    fixed in NJS release 4.6.1_build2

     
  • Bernd Schuller

    Bernd Schuller - 2005-10-25
    • status: open --> closed-fixed
     

Log in to post a comment.